Subject: [bug#76287] [PATCH] gnu: kexec-tools: Update to 2.0.30.

From: "Ashish SHUKLA" <[email-masked]>
Date: Sun, 16 Feb 2025 08:10:57 +0000

El 2025-02-15 14:14, Leo Famulari escribió:
> On Fri, Feb 14, 2025 at 01:33:32PM +0100, [email-masked] wrote:
>> From: Ashish SHUKLA <[email-masked]>
>> 
>> * gnu/packages/linux.scm (kexec-tools): Update to 2.0.30.
>
> Thanks! Do we need to do anything in particular to test this?
>
> Does the `reboot --kexec` tooling in Guix System / Shepherd use this
> package?

Guix system, and shepherd rely on syscall interface to setup, and 
perform kexec.

As for me, I needed to implement a workaround[0] for my system, and so I 
noticed it's outdated, and therefore decided to update it.

References:
[0] 
https://wiki.archlinux.org/title/Kexec#System_hangs_or_reboots_after_%22kexec_core:_Starting_new_kernel%22

Thanks!
-- 
Ashish SHUKLA | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0

"If I destroy you, what business is it of yours ?" (Dark Forest, Liu Cixin)